Bug 975996 - jfsutils-1.1.15 is available
jfsutils-1.1.15 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jfsutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 14:03 EDT by Upstream Release Monitoring
Modified: 2013-12-17 14:16 EST (History)
3 users (show)

See Also:
Fixed In Version: jfsutils-1.1.15-2.fc18
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 13:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debian/Ubuntu patch 1 (963 bytes, patch)
2013-08-29 13:16 EDT, Marcos Mello
no flags Details | Diff
Debian/Ubuntu patch 2 (554 bytes, patch)
2013-08-29 13:17 EDT, Marcos Mello
no flags Details | Diff
Debian/Ubuntu patch 3 (579 bytes, patch)
2013-08-29 13:17 EDT, Marcos Mello
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2013-06-19 14:03:35 EDT
Latest upstream release: 1.1.15
Current version/release in Fedora Rawhide: 1.1.13-10.fc18
URL: http://jfs.sf.net/source.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Marcos Mello 2013-08-29 13:13:35 EDT
Updated spec. Please review. Patches attached.

--- jfsutils.spec.orig	2012-01-14 03:09:45.000000000 -0200
+++ jfsutils.spec	2013-08-29 11:01:59.995269326 -0300
@@ -1,8 +1,13 @@
 Summary: Utilities for managing the JFS filesystem
 Name: jfsutils
-Version: 1.1.13
-Release: 9%{?dist}
-Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
+Version: 1.1.15
+Release: 1%{?dist}
+Source0: http://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
+# Patches from Debian/Ubuntu to fix build
+# http://patch-tracker.debian.org/package/jfsutils/1.1.15-2.1
+Patch0: missing-includes.diff
+Patch1: format-security-errors.patch
+Patch2: jfs-nmu.diff
 URL: http://jfs.sourceforge.net/
 Group: System Environment/Base
 License: GPLv2+
@@ -24,9 +29,12 @@
 %prep
 %setup -q
 find . -type f -name *.[ch] -exec chmod -x {} \;
+%patch0 -p1
+%patch1 -p1
+%patch2 -p1
 
 %build
-%configure --sbindir=/sbin
+%configure --prefix=/usr
 make %{?_smp_mflags}
 
 %install
@@ -38,11 +46,15 @@
 
 %files
 %defattr(-,root,root)
-/sbin/*
+%{_sbindir}/*
 %{_mandir}/man8/*
 %doc AUTHORS COPYING NEWS ChangeLog
 
 %changelog
+* Thu Aug 29 2013 xxx <xxx@xxx> - 1.1.15-1
+- Update to latest upstream release (#975996)
+- Install everything in /usr
+
 * Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.13-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
Comment 2 Marcos Mello 2013-08-29 13:16:07 EDT
Created attachment 791900 [details]
Debian/Ubuntu patch 1
Comment 3 Marcos Mello 2013-08-29 13:17:00 EDT
Created attachment 791902 [details]
Debian/Ubuntu patch 2
Comment 4 Marcos Mello 2013-08-29 13:17:39 EDT
Created attachment 791903 [details]
Debian/Ubuntu patch 3
Comment 5 Marcos Mello 2013-09-01 19:42:33 EDT
Actually only missing-includes.diff is necessary to fix build. The other patches are misc fixes.
Comment 6 François Cami 2013-09-02 13:04:01 EDT
Fixed.
http://koji.fedoraproject.org/koji/buildinfo?buildID=460967
Comment 7 Marcos Mello 2013-09-02 13:14:26 EDT
Thanks, François. e2fsprogs and xfsprogs install all files in /usr. Maybe jfsutils should follow them?
Comment 8 Fedora Update System 2013-09-02 14:06:29 EDT
jfsutils-1.1.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jfsutils-1.1.15-1.fc18
Comment 9 Fedora Update System 2013-09-02 14:07:33 EDT
jfsutils-1.1.15-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jfsutils-1.1.15-1.fc19
Comment 10 Fedora Update System 2013-09-06 06:42:57 EDT
jfsutils-1.1.15-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jfsutils-1.1.15-2.fc18
Comment 11 Fedora Update System 2013-09-06 06:44:21 EDT
jfsutils-1.1.15-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jfsutils-1.1.15-2.fc19
Comment 12 François Cami 2013-09-06 06:49:33 EDT
@Marcos: Thank you, I had not caught that.
jfsutils-1.1.15-2 should fix the installation path issue.
Please leave karma!
Comment 13 Fedora Update System 2013-09-14 20:52:29 EDT
jfsutils-1.1.15-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-12-17 14:16:16 EST
jfsutils-1.1.15-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.